//- mixins are basically functions
mixin link(href,name)
  a(href=href target='_blank')= name

h1 First Mixin
p
  +link('https://google.com','Google')
p
  +link('https://facebook.com','Facebook')
p
  +link('https://yahoo.com','Yahoo')

h1 Second Mixin

mixin listNames(...names)
  ul
    each name in names
      li= name

+listNames('Joe','Ammy','Madonna')